## ses-wm 3.0.0.162netbook0natick5

=== Makefile ===
################################################################################
# GNU make should only be needed in maintainer mode now
################################################################################
# Please run 'configure' first (generate it with autogen.sh)
################################################################################

srcdir     = .
top_srcdir = .

PACKAGE = seswm
VERSION = 

PREFIX = /usr
BINDIR = /usr/bin
LIBDIR = /usr/share/seswm
CFGDIR = /etc/seswm
LOCDIR = /usr/share/locale
KDEDIR = /usr/share
DOCDIR = /usr/share/doc
MANDIR = /usr/share/man
GWMDIR = 

EXEEXT = 

INSTALL    = /usr/bin/install -c
INSTALLDIR = /usr/bin/install -c -m 755 -d
INSTALLBIN = ${INSTALL}
INSTALLLIB = ${INSTALL} -m 644
INSTALLETC = ${INSTALL} -m 644
INSTALLMAN = ${INSTALL} -m 644
MKFONTDIR  = 

DESTDIR     =

################################################################################

BINFILES    = $(top_srcdir)/src/seswmmain$(EXEEXT) $(top_srcdir)/src/seswm-session$(EXEEXT) $(top_srcdir)/src/seswmhint$(EXEEXT) $(top_srcdir)/src/seswmbg$(EXEEXT) $(top_srcdir)/src/seswmmaintray$(EXEEXT) 
LIBFILES    = lib/preferences lib/winoptions lib/keys \
              lib/menu lib/toolbar # lib/programs
DOCFILES    = #README BUGS CHANGES COPYING AUTHORS INSTALL VERSION icewm.lsm
MANFILES    = #icewm.1
XPMDIRS     = #icons ledclock taskbar mailbox cursors
THEMES      = #nice motif win95 warp3 warp4 metal2 gtk2 Infadel2 nice2 \
              #icedesert yellowmotif

GNOMEFILES  = lib/IceWM.desktop

all:		base nls
install:	install-base install-nls 

base icesound icehelp:
	@cd src; $(MAKE) $@

docs:
	@cd doc; $(MAKE) all

nls:
	@cd po; $(MAKE) all

gnome:

srcclean:
	@cd src; $(MAKE) clean

clean:  srcclean
	@cd doc; $(MAKE) clean

distclean: clean
	rm -f *~ config.cache config.log config.status install.inc \
	sysdep.inc src/config.h \
	lib/preferences \
	lib/menu lib/programs lib/keys lib/winoptions lib/toolbar

maintainer-clean: distclean
	rm -f icewm.spec icewm.lsm Makefile configure src/config.h.in
	@cd doc; $(MAKE) maintainer-clean

check:
	@cd src ; $(MAKE) check >/dev/null

dist:	distclean docs configure

# Makefile TABS *SUCK*
install-base: base
	@echo ------------------------------------------
	@echo "Installing binaries in $(DESTDIR)$(BINDIR)"
	@$(INSTALLDIR) "$(DESTDIR)$(BINDIR)"
	@for bin in $(BINFILES); do \
             $(INSTALLBIN) "$${bin}" "$(DESTDIR)$(BINDIR)"; \
         done
	
	@echo "Installing presets and icons in $(DESTDIR)$(LIBDIR)"
	@$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)"
	#-@$(INSTALLDIR) "$(DESTDIR)$(CFGDIR)"
	@for lib in $(LIBFILES); do \
             $(INSTALLLIB) "$${lib}" "$(DESTDIR)$(LIBDIR)"; \
         done

	@for xpmdir in $(XPMDIRS); do \
	     if test -d "lib/$${xpmdir}"; then \
		$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)/$${xpmdir}"; \
		for pixmap in "lib/$${xpmdir}/"*.xpm; do \
		    $(INSTALLLIB) "$${pixmap}" "$(DESTDIR)$(LIBDIR)/$${xpmdir}"; \
		done; \
	    fi; \
        done
	
	@echo ------------------------------------------
	@for theme in $(THEMES); do \
	     SRCDIR="$(top_srcdir)" \
	     DESTDIR="$(DESTDIR)" \
	     LIBDIR="$(LIBDIR)" \
	     XPMDIRS="$(XPMDIRS)" \
	     INSTALLDIR="$(INSTALLDIR)" \
	     INSTALLLIB="$(INSTALLLIB)" \
	     MKFONTDIR="$(MKFONTDIR)" \
	     $(top_srcdir)/utils/install-theme.sh "$${theme}"; \
	done
	@#for a in $(ETCFILES) ; do $(INSTALLETC) "$$a" $(CFGDIR) ; done
	@echo ------------------------------------------

install-docs: docs
	@echo ------------------------------------------
	@rm -fr "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLDIR) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@echo "Installing documentation in $(DESTDIR)$(DOCDIR)"
	@$(INSTALLLIB) $(DOCFILES) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.sgml "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.html "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@echo ------------------------------------------

install-nls: nls
	@echo ------------------------------------------
	@cd po; $(MAKE) install
	@echo ------------------------------------------

install-man:
	@$(INSTALLDIR) "$(DESTDIR)$(MANDIR)/man1"
	@for man in $(MANFILES); do \
		$(INSTALLMAN) doc/$$man.man $(DESTDIR)$(MANDIR)/man1/$$man; \
	done

install-gnome: gnome
	@echo ------------------------------------------
	@echo Installing icewm-gnome in $(DESTDIR)$(GWMDIR)
	@$(INSTALLDIR) "$(DESTDIR)$(GWMDIR)"
	@$(INSTALLLIB) "$(top_srcdir)/lib/IceWM.desktop" "$(DESTDIR)$(GWMDIR)"
	@echo ------------------------------------------

=== doc/Makefile ===
#all: icewm.html

#maintainer-clean: distclean
#	rm -f icewm*.html

#distclean: clean
#	rm -f *~

clean:

#icewm.html: icewm.sgml
#	-sgml2html icewm.sgml

=== po/Makefile ===
srcdir =        .
top_srcdir =    ..

prefix  =       /usr
datadir =       ${prefix}/share

PACKAGE =	    seswm
LOCDIR =        /usr/share/locale

DESTDIR = 

SOURCES =       $(top_srcdir)/src/ses-aapm.cc $(top_srcdir)/src/ses-acpustatus.cc $(top_srcdir)/src/ses-amailbox.cc $(top_srcdir)/src/ses-apppstatus.cc $(top_srcdir)/src/ses-aworkspaces.cc $(top_srcdir)/src/ses-misc.cc $(top_srcdir)/src/ses-movesize.cc $(top_srcdir)/src/ses-themes.cc $(top_srcdir)/src/ses-wmabout.cc $(top_srcdir)/src/ses-wmapp.cc $(top_srcdir)/src/ses-wmconfig.cc $(top_srcdir)/src/ses-wmdialog.cc $(top_srcdir)/src/ses-wmframe.cc $(top_srcdir)/src/ses-wmoption.cc $(top_srcdir)/src/ses-wmprog.cc $(top_srcdir)/src/ses-wmsession.cc $(top_srcdir)/src/ses-wmstatus.cc $(top_srcdir)/src/ses-wmtaskbar.cc $(top_srcdir)/src/ses-wmwinlist.cc $(top_srcdir)/src/ses-wmwinmenu.cc $(top_srcdir)/src/ses-yapp.cc $(top_srcdir)/src/ses-ybutton.cc $(top_srcdir)/src/ses-ycmdline.cc $(top_srcdir)/src/ses-yconfig.cc $(top_srcdir)/src/ses-ycursor.cc $(top_srcdir)/src/ses-yfontcore.cc $(top_srcdir)/src/ses-yfontxft.cc $(top_srcdir)/src/ses-yicon.cc $(top_srcdir)/src/ses-yimage.cc $(top_srcdir)/src/ses-yinput.cc $(top_srcdir)/src/ses-ylocale.cc $(top_srcdir)/src/ses-ymenufile.cc $(top_srcdir)/src/ses-ymenuitem.cc $(top_srcdir)/src/ses-ymsgbox.cc $(top_srcdir)/src/ses-yparser.cc $(top_srcdir)/src/ses-ypaths.cc $(top_srcdir)/src/ses-ypixbuf.cc $(top_srcdir)/src/ses-ysmapp.cc $(top_srcdir)/src/ses-yurl.cc $(top_srcdir)/src/ses-yxapp.cc $(top_srcdir)/src/ses-yxtray.cc $(top_srcdir)/src/seswmbg.cc $(top_srcdir)/src/seswmhint.cc
POFILES =	en.po es.po pt_BR.po
POXFILES =	en.pox es.pox pt_BR.pox
MOFILES =	en.mo es.mo pt_BR.mo

INSTALL =       /usr/bin/install -c
INSTALLDIR =    /usr/bin/install -c -m 755 -d
INSTALLLIB =    ${INSTALL} -m 644
XGETTEXT =	/usr/bin/xgettext
MSGMERGE =	/usr/bin/msgmerge
MSGFMT =	/usr/bin/msgfmt

.SUFFIXES:
.SUFFIXES: .po .mo

all: $(MOFILES)

install: all
	@echo "Installing message catalogues in $(DESTDIR)$(LOCDIR)"
	@for catalog in $(MOFILES); do \
	     lang=`echo $${catalog} | sed -e 's/\.mo//'` ; \
	     msgdir="$(DESTDIR)$(LOCDIR)/$${lang}/LC_MESSAGES"; \
	     echo "Installing language: $${lang}" ; \
	     $(INSTALLDIR) "$${msgdir}"; \
	     $(INSTALLLIB) "$${catalog}" "$${msgdir}/$(PACKAGE).mo"; \
	done

clean:
	rm -f  $(MOFILES) *~


# Merge existing translations and new code
merge: $(POXFILES)

# POTFILES.in lists files containing translatable strings
POTFILES.in: $(SOURCES)
	echo $(SOURCES) | tr ' ' '\n' > $@

# $(PACKAGE).pot is a template file for translations
$(PACKAGE).pot: POTFILES.in
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=../src \
	--add-comments --keyword=_ --keyword=N_ --files-from=POTFILES.in && \
	test ! -f $(PACKAGE).po || \
	( rm -f ./$(PACKAGE).pot && \
	  mv $(PACKAGE).po ./$(PACKAGE).pot )

# create new translations
%.pox: %.po $(PACKAGE).pot
	$(MSGMERGE) --indent --no-location --output-file $@ $< $(PACKAGE).pot

# convert portable into machine objects
.po.mo:
	$(MSGFMT) -o $@ $<


report.html: *.po Makefile
	@(echo "<h1>National Language Support Status Report</h1>"; \
	  date; echo "<p>"; \
	  for catalog in *.po; do \
	    echo -n "<li>$${catalog}"; \
	    sed -ne's|^.*"Last-Translator[^:]*:\(.*\)<.*$$| by\1<ul>|p' \
                "$${catalog}"; \
		echo -n ' <li>'; \
		LC_ALL=en $(MSGFMT) -o /dev/null "$${catalog}" 2>&1 |\
		sed -e's|, |<li>|g' -e's|\.$$||'; \
		echo '</ul>'; \
	  done ) >$@
	@cat $@

#upload-report: report.html
#	scp report.html massel@icewm.sf.net:icesf/libphp/nls.html

stats:
	for x in *.po ; do echo -ne "$$x:\t" `$(MSGFMT) --statistics $$x` ; done

update: merge
	for x in *.pox ; do cp -af $$x $${x%%pox}po ; done

=== debian/changelog ===
ses-wm (3.0.0.162netbook0natick5) natick; urgency=low

  * Changing dependencies to be less strict ('>=' instead of '=').

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Thu, 27 Aug 2009 11:50:23 -0300

ses-wm (3.0.0.162netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 5 Jun 2009 13:29:37 +0000

ses-wm (3.0.0.161netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Tue, 26 May 2009 15:08:34 +0000

ses-wm (3.0.0.160netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 22 May 2009 09:51:44 +0000

ses-wm (3.0.0.150netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 15 May 2009 09:39:40 +0000

ses-wm (3.0.0.140netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 8 May 2009 09:30:49 +0000

ses-wm (3.0.0.130netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Thu, 23 Apr 2009 15:50:14 +0000

ses-wm (3.0.0.120netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 10 Apr 2009 09:33:48 -0500

ses-wm (3.0.0.110netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Dapeng Shi <shidp@neusoft.com>  Thu, 26 Mar 2009 16:12:32 -0500

ses-wm (3.0.0.100netbook0natick4) natick; urgency=low

  * Fix bug: #13408  

 -- Dapeng Shi <shidp@neusoft.com>  Mon, 09 Mar 2009 15:03:32 -0500

ses-wm (3.0.0.090netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 04 Mar 2009 11:14:32 -0500

ses-wm (3.0.0.090netbook0natick3) natick; urgency=low

  * Fix bug: #326262 in Launchpad 

 -- Lily <lifengx.wang@intel.com>  Wed, 04 Mar 2009 09:21:43 +0000

ses-wm (3.0.0.090netbook0natick2) natick; urgency=low

  * Change (= version)'s in Build-Depends to (>= version)
  * Set distro to natick

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 03 Mar 2009 21:56:44 +0000

ses-wm (3.0.0.090netbook0natick1) hardy; urgency=low

  * Initial release

 -- Dapeng Shi <shidp@neusoft.com>  Sun, 28 Dec 2008 17:01:30 +0000

=== debian/control ===
Source: ses-wm
Section: x11
Priority: optional
Maintainer: Intel Corporation
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ses-wm
Architecture: any
Depends: ${shlibs:Depends}, 
         imlib11, 
         ses-lib (>= 3.0.0.162netbook0natick2), 
         ses-libsesintfdata (>= 3.0.0.162netbook0natick2), 
         ses-libsesdata (>= 3.0.0.162netbook0natick5), 
         ses-tabnavigation (>= 3.0.0.162netbook0natick2), 
         ses-calendar (>= 3.0.0.162netbook0natick2), 
         ses-msgposter (>= 3.0.0.162netbook0natick2), 
         ses-adminpwdconfirm (>= 3.0.0.162netbook0natick2), 
         ses-taskmanager (>= 3.0.0.162netbook0natick2), 
         ses-fadeoutmaker (>= 3.0.0.162netbook0natick2), 
         ses-ssd (>= 3.0.0.162netbook0natick2), 
         libnotify-bin, 
         ses-volumecontroller (>= 3.0.0.162netbook0natick3)
Description: Window manager for SES.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: #configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/ses-wm.sgml > ses-wm.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cp $(CURDIR)/seswmmain $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmbg $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmmaintray $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswm-session $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmhint $(CURDIR)/debian/ses-wm/usr/bin

	cp -r $(CURDIR)/SES/WM $(CURDIR)/debian/ses-wm/etc/SES
	cp -r $(CURDIR)/SES/gdm $(CURDIR)/debian/ses-wm/etc/SES
	cp $(CURDIR)/SES/xsessions/SES.desktop $(CURDIR)/debian/ses-wm/usr/share/xsessions/SES.desktop
	ln -s /usr/share/xsessions/SES.desktop $(CURDIR)/debian/ses-wm/etc/SES/gdm/session.ses/SES.desktop
	cp $(CURDIR)/SES/fonts/conf.avail/99-ses.conf $(CURDIR)/debian/ses-wm/etc/fonts/conf.avail/99-ses.conf
	cp $(CURDIR)/SES/fonts/conf.d/99-ses.conf $(CURDIR)/debian/ses-wm/etc/fonts/conf.d/99-ses.conf
	cp $(CURDIR)/SES/intel/bezel_button/single_click_launch $(CURDIR)/debian/ses-wm/etc/intel/bezel_button/single_click_launch
	cp $(CURDIR)/SES/ses.fdi $(CURDIR)/debian/ses-wm/etc/SES/
	#cp $(CURDIR)/gdm $(CURDIR)/debian/ses-wm/etc/init.d/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
